Subject: [Idr] I-D Action: draft-ietf-idr-route-leak-detection-mitigation-03.txt

From: [email-masked]
Date: Mon, 23 May 2016 04:49:12 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Inter-Domain Routing of the IETF.

        Title           : Methods for Detection and Mitigation of BGP Route Leaks
        Authors         : Kotikalapudi Sriram
                          Doug Montgomery
                          Brian Dickson
                          Keyur Patel
                          Andrei Robachevsky
	Filename        : draft-ietf-idr-route-leak-detection-mitigation-03.txt
	Pages           : 22
	Date            : 2016-05-23

Abstract:
   [I-D.ietf-grow-route-leak-problem-definition] provides a definition
   of the route leak problem, and also enumerates several types of route
   leaks.  This document first examines which of those route-leak types
   are detected and mitigated by the existing origin validation (OV)
   [RFC 6811].  It is recognized that OV offers a limited detection and
   mitigation capability against route leaks.  This document specifies
   enhancements that significantly extend the route-leak prevention,
   detection, and mitigation capabilities of BGP.  One solution
   component involves carrying a per-hop route-leak protection (RLP)
   field in BGP updates.  The RLP field is proposed be carried in a new
   optional transitive attribute, called BGP RLP attribute.  The
   solution is meant to be initially implemented as an enhancement of
   BGP without requiring BGPsec [I-D.ietf-sidr-bgpsec-protocol].
   However, when BGPsec is deployed in the future, the solution can be
   incorporated in BGPsec, enabling cryptographic protection for the RLP
   field.  That would be one way of implementing the proposed solution
   in a secure way.  The document also includes a stopgap method for
   detection and mitigation of route leaks for an intermediate phase
   when OV is deployed but BGP protocol on the wire is unchanged.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-idr-route-leak-detection-mitigation/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-idr-route-leak-detection-mitigation-03

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-idr-route-leak-detection-mitigation-03

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/